package gaf3.core.services.bff

import gaf3.core.cloud.GafCloudConfiguration
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.runApplication
import org.springframework.context.annotation.Import
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

@SpringBootApplication
@RestController
@Import(GafCloudConfiguration::class)
class ServiceBffApplication {
    @RequestMapping(path=["demo"])
    fun demo(): String {
        return "hello,world"
    }
}

fun main(args: Array<String>) {
    runApplication<ServiceBffApplication>(*args)
}
